define("GameCoreEventNames", ["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    class GameCoreEventNames {
    }
    GameCoreEventNames.COMMON_CLOSE = "commonClose";
    GameCoreEventNames.COMMON_READY = "commonReady";
    GameCoreEventNames.DATA_CHANGE = "dataChange";
    GameCoreEventNames.DATA_REMOTE_CHANGE = "dataRemoteChange";
    GameCoreEventNames.DATA_REMOTE_RETRIVE = "dataRemoteRetrive";
    GameCoreEventNames.RES_PROGRESS = "ResProgress";
    GameCoreEventNames.RES_COMPLETE = "ResComplete";
    GameCoreEventNames.POP_UP_ADD = "popUpAdd";
    GameCoreEventNames.POP_UP_REMOVE = "popUpRemove";
    GameCoreEventNames.ITEM_ADDED = "itemAdded";
    GameCoreEventNames.ITEM_REMOVED = "itemRemoved";
    GameCoreEventNames.ITEM_USED = "itemUsed";
    GameCoreEventNames.TAG_CHANGE = "tagChange";
    GameCoreEventNames.MUTE_MUSIC = "muteMusic";
    GameCoreEventNames.UNMUTE_MUSIC = "unmuteMusic";
    exports.default = GameCoreEventNames;
});
define("platforms/Base", ["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.Base_init = function () {
        if (window["wx"] != undefined)
            return;
        window["wx"] = {};
        var wx = window["wx"];
        wx.onError = function (fun) {
            console.log("------【Base】 onError-------");
        };
        wx.offError = function (fun) {
            console.log("------【Base】 offError-------");
        };
        wx.onAudioInterruptionEnd = function (fun) {
            console.log("------【Base】 onAudioInterruptionEnd-------");
        };
        wx.offAudioInterruptionEnd = function (fun) {
            console.log("------【Base】 offAudioInterruptionEnd-------");
        };
        wx.onAudioInterruptionBegin = function (fun) {
            console.log("------【Base】 onAudioInterruptionBegin-------");
        };
        wx.offAudioInterruptionBegin = function (fun) {
            console.log("------【Base】 offAudioInterruptionBegin-------");
        };
        let canvas = document.createElement("Canvas");
        if (canvas) {
            canvas["__proto__"].toTempFilePath = function (obj) {
                console.log("------【Base】 toTempFilePath-------");
                let successFun = obj ? obj["success"] : null;
                let failFun = obj ? obj["fail"] : null;
                let completeFun = obj ? obj["complete"] : null;
                if (failFun)
                    failFun();
                if (completeFun)
                    completeFun();
            };
            canvas["__proto__"].toTempFilePathSync = function (obj) {
                console.log("------【Base】 toTempFilePathSync-------");
                return null;
            };
        }
        wx.createImage = function () {
            console.log("------【Base】 createImage-------");
            let img = new Image();
            console.log("image is " + img);
            return img;
        };
        wx.createGameClubButton = function (obj) {
            return {
                onTap: function (callback) {
                },
                offTap: function (callback) {
                },
                show: function () {
                },
                hide: function () {
                },
                destory: function () {
                }
            };
        };
        wx.login = function (obj) {
            console.log("------【Base】 login-------");
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            setTimeout(() => {
                if (successFun)
                    successFun({ "code": "gamesdeer" });
                if (completeFun)
                    completeFun();
            }, 500);
        };
        wx.getSystemInfoSync = function (obj) {
            console.log("------【Base】 getSystemInfoSync-------");
            return {};
        };
        wx.getSystemInfo = function (obj) {
            console.log("------【Base】 getSystemInfo-------");
        };
        wx.vibrateShort = function (obj) {
            console.log("------【Base】 vibrateShort-------");
        };
        wx.vibrateLong = function (obj) {
            console.log("------【Base】 vibrateLong-------");
        };
        wx.onMemoryWarning = function (callback) {
            console.log("------【Base】 onMemoryWarning-------");
        };
        wx.__userInfoRes = null;
        wx.getUserInfo = function (obj = null) {
            console.log("------【Base】 getUserInfo-------");
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            if (wx.__userInfoRes) {
                if (successFun)
                    successFun(JSON.parse(JSON.stringify(wx.__userInfoRes)));
            }
            else {
                if (failFun)
                    failFun({ "errMsg": "" });
            }
            if (completeFun)
                completeFun();
        };
        wx.createUserInfoButton = function (obj = null) {
            console.log("------【Base】 createUserInfoButton-------");
            console.log(obj);
            return {
                onTap: (fun) => { },
                offTap: (fun) => { },
                show: () => { },
                hide: () => { },
                destory: () => { }
            };
        };
        wx.createFeedbackButton = function (obj = null) {
            console.log("------【Base】 createFeedbackButton-------");
            return {
                show: function () { },
                destroy: function () { },
                hide: function () { },
                offTap: function (callback) { },
                onTap: function (callback) { },
            };
        };
        wx.createGameClubButton = function (obj = null) {
            console.log("------【Base】 createGameClubButton-------");
            return {
                show: function () { },
                destroy: function () { },
                hide: function () { },
                offTap: function (callback) { },
                onTap: function (callback) { },
            };
        };
        wx.getFriendCloudStorage = function (obj) {
            console.log("------【Base】 getFriendCloudStorage-------");
            console.log(obj);
        };
        wx.getUserCloudStorage = function (obj) {
            console.log("------【Base】 setUserCloudStorage-------");
        };
        wx.setUserCloudStorage = function (obj) {
            console.log("------【Base】 setUserCloudStorage-------");
        };
        wx.getSetting = function (obj) {
            console.log("------【Base】 getSetting-------");
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            let res = {
                "authSetting": {
                    "scope.userInfo": true
                }
            };
            if (successFun)
                successFun(res);
            if (completeFun)
                completeFun();
        };
        wx.navigateToMiniProgram = function (obj) {
            console.log("------【Base】 navigateToMiniProgram-------");
        };
        wx.__openDataContext = {
            callbacks: [],
            postMessage: function (msg) {
                wx.__openDataContext.callbacks.forEach((fun) => {
                    fun(msg);
                });
            }
        };
        wx.getOpenDataContext = function () {
            return wx.__openDataContext;
        };
        wx.onMessage = function (callback) {
            let callbacks = wx.__openDataContext.callbacks;
            if (callbacks.indexOf(callback) == -1) {
                callbacks.push(callback);
            }
        };
        wx.getSystemInfo = function (obj) {
            console.log("------【Base】 getSetting-------");
        };
        wx.getUpdateManager = function (obj) {
            console.log("------【Base】 getUpdateManager-------");
            return {
                "applyUpdate": function () {
                },
                "onCheckForUpdate": function (fun) {
                },
                "onUpdateReady": function (fun) {
                },
                "onUpdateFailed": function (fun) {
                }
            };
        };
        wx.exitMiniProgram = function (obj) {
            console.log("------【Base】 exitMiniProgram-------");
        };
        wx.__query = null;
        wx.getLaunchOptionsSync = function () {
            console.log("------【Base】 getLaunchOptionsSync-------");
            return {
                scene: 0,
                query: {},
                isSticky: 0,
                shareTicket: null,
                referrerInfo: {
                    "appId": null
                },
            };
        };
        wx._onHideCallbacks = [];
        wx.onHide = function (callback) {
            console.log("------【Base】 onHide-------");
            if (wx._onHideCallbacks.indexOf(callback) == -1) {
                wx._onHideCallbacks.push(callback);
            }
        };
        wx._onShowCallbacks = [];
        wx.onShow = function (callback) {
            console.log("------【Base】 onShow-------");
            if (wx._onShowCallbacks.indexOf(callback) == -1) {
                wx._onShowCallbacks.push(callback);
            }
        };
        wx._onCloseCallbacks = [];
        wx.onClose = function (callback) {
            console.log("------【Base】 onClose-------");
            if (wx._onShowCallbacks.indexOf(callback) == -1) {
                wx._onShowCallbacks.push(callback);
            }
        };
        wx.offHide = function (callback) {
            console.log("------【Base】 offHide-------");
            let index = wx._onHideCallbacks.indexOf(callback);
            if (index >= 0) {
                wx._onHideCallbacks.splice(index, 1);
            }
        };
        wx.offShow = function (callback) {
            console.log("------【Base】 offShow-------");
            let index = wx._onShowCallbacks.indexOf(callback);
            if (index >= 0) {
                wx._onShowCallbacks.splice(index, 1);
            }
        };
        wx.offClose = function (callback) {
            console.log("------【Base】 offClose-------");
            let index = wx._onCloseCallbacks.indexOf(callback);
            if (index >= 0) {
                wx._onCloseCallbacks.splice(index, 1);
            }
        };
        wx.doHide = function (callback) {
            console.log("------【Base】 doHide-------");
            wx._onHideCallbacks.forEach((fun) => {
                try {
                    fun();
                }
                catch (error) {
                }
            });
        };
        wx.doShow = function (callback) {
            console.log("------【Base】 doShow-------");
            wx._onShowCallbacks.forEach((fun) => {
                try {
                    fun();
                }
                catch (error) {
                }
            });
        };
        wx.doClose = function (callback) {
            console.log("------【Base】 doClose-------");
            wx._onCloseCallbacks.forEach((fun) => {
                try {
                    fun();
                }
                catch (error) {
                }
            });
        };
        wx.onAudioInterruptionEnd = function (callback) {
            console.log("------【Base】 onAudioInterruptionEnd-------");
        };
        wx.getFileSystemManager = function () {
            console.log("------【Base】 getFileSystemManager-------");
            return null;
        };
        wx.getShareInfo = function (obj) {
        };
        wx.hideShareMenu = function (obj) {
        };
        wx.showShareMenu = function (obj) {
        };
        wx.updateShareMenu = function (obj) {
        };
        wx.shareAppMessage = function (obj) {
            console.log("------【Base】 shareAppMessage-------");
        };
        wx.onShareAppMessage = function (callback) {
            console.log("------【Base】 onShareAppMessage-------");
        };
        wx.offShareAppMessage = function (callback) {
        };
        wx.stopAccelerometer = function (obj) {
            console.log("------【Base】 stopAccelerometer-------");
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            if (failFun)
                failFun({});
            if (completeFun)
                completeFun();
        };
        wx.startAccelerometer = function (obj) {
            console.log("------【Base】 startAccelerometer-------");
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            if (failFun)
                failFun({});
            if (completeFun)
                completeFun();
        };
        wx.onAccelerometerChange = function (callback) {
            console.log("------【Base】 onAccelerometerChange-------");
        };
        wx.createRewardedVideoAd = function (obj) {
            console.log("------【Base】 createRewardedVideoAd-------");
            return null;
        };
        wx.createInterstitialAd = function (obj) {
            console.log("------【Base】 createInterstitialAd-------");
            return null;
        };
        wx.createBannerAd = function (obj) {
            console.log("------【Base】 createBannerAd-------");
            return null;
        };
        wx.requestMidasPayment = function (obj) {
            console.log("------【Base】 requestMidasPayment-------");
        };
        wx._storageData = {};
        wx.getStorageInfo = function (obj) {
            console.log("------【Base】 getStorageInfo-------");
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            if (successFun)
                successFun(wx.getStorageInfoSync());
            if (completeFun)
                completeFun();
        };
        wx.getStorageInfoSync = function () {
            console.log("------【Base】 getStorageInfoSync-------");
            return {
                "keys": Object.keys(wx._storageData),
                "currentSize": 0,
                "limitSize": 99999999
            };
        };
        wx.getStorage = function (obj) {
            console.log("------【Base】 getStorage-------");
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            if (successFun)
                successFun(wx.getStorageSync(obj));
            if (completeFun)
                completeFun();
        };
        wx.getStorageSync = function (obj) {
            console.log("------【Base】 getStorageSync-------");
            if (!obj || !obj["key"])
                return null;
            let the_key = obj["key"];
            return { "data": wx._storageData[the_key] };
        };
        wx.setStorage = function (obj) {
            console.log("------【Base】 setStorage-------");
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            if (obj && obj["key"]) {
                let the_key = obj["key"];
                let the_value = obj["value"];
                wx.setStorageSync(the_key, the_value);
                if (successFun)
                    successFun({});
            }
            else {
                if (failFun)
                    failFun({});
            }
            if (completeFun)
                completeFun();
        };
        wx.setStorageSync = function (the_key, the_value) {
            console.log("------【Base】 setStorageSync-------");
            return wx._storageData[the_key] = the_value;
        };
        wx.removeStorage = function (obj) {
            console.log("------【Base】 removeStorage-------");
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            if (obj && obj["key"]) {
                let the_key = obj["key"];
                wx.removeStorageSync(the_key);
                if (successFun)
                    successFun({});
            }
            else {
                if (failFun)
                    failFun({});
            }
            if (failFun)
                failFun({});
            if (completeFun)
                completeFun();
        };
        wx.removeStorageSync = function (the_key) {
            console.log("------【Base】 removeStorageSync-------");
            delete wx._storageData[the_key];
        };
        wx.clearStorage = function (obj) {
            console.log("------【Base】 clearStorage-------");
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            wx.clearStorageSync();
            if (successFun)
                successFun({});
            if (completeFun)
                completeFun();
        };
        wx.clearStorageSync = function () {
            console.log("------【Base】 clearStorageSync-------");
            wx._storageData = {};
        };
        wx.loadSubpackage = function (obj) {
            console.log("------【Base】 loadSubpackage-------");
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            if (successFun)
                successFun({});
            if (completeFun)
                completeFun();
            return {
                "onProgressUpdate": (callback) => {
                }
            };
        };
        wx.hideLoading = function (obj) {
            console.log("------【Base】 hideLoading-------");
        };
        wx.hideToast = function (obj) {
            console.log("------【Base】 hideToast-------");
        };
        wx.showLoading = function (obj) {
            console.log("------【Base】 showLoading-------");
        };
        wx.showModal = function (obj) {
            console.log("------【Base】 showModal-------");
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            let res = {
                "confirm": false,
                "cancel": true
            };
            if (successFun)
                successFun(res);
            if (completeFun)
                completeFun();
        };
        wx.showToast = function (obj) {
            console.log("------【Base】 showToast-------");
        };
        wx.getMenuButtonBoundingClientRect = function () {
            console.log("------【Base】 getMenuButtonBoundingClientRect -------");
            return { "top": 0, "left": 0, "width": 0, "height": 0, "bottom": 0, "right": 0 };
        };
        wx.setMenuStyle = function (style) {
            console.log("------【Base】 setMenuStyle-------");
        };
        wx.setClipboardData = function (obj) {
            console.log("------【Base】 setClipboardData -------");
            if (!obj)
                return;
            console.log(obj.data);
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            if (failFun)
                failFun({});
            if (completeFun)
                completeFun();
        };
        wx.getClipboardData = function (obj) {
            console.log("------【Base】 wx.getClipboardData -------");
            if (!obj)
                return;
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            if (successFun)
                successFun({ "data": "" });
            if (completeFun)
                completeFun();
        };
        wx.onNetworkStatusChange = function (fun) {
            console.log("------【Base】 onNetworkStatusChange -------");
        };
        wx.getNetworkType = function (obj) {
            console.log("------【Base】 getNetworkType -------");
            if (!obj)
                return;
            console.log(obj.data);
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            if (successFun)
                successFun({ "networkType": "wifi" });
            if (completeFun)
                completeFun();
        };
        wx.setScreenBrightness = function (obj) {
            console.log("------【Base】 setScreenBrightness -------");
            if (!obj)
                return;
            console.log(obj.data);
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            if (failFun)
                failFun({});
            if (completeFun)
                completeFun();
        };
        wx.setKeepScreenOn = function (obj) {
            console.log("------【Base】 wx.setKeepScreenOn -------");
            if (!obj)
                return;
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            if (failFun)
                failFun({});
            if (completeFun)
                completeFun();
        };
        wx.getScreenBrightness = function (obj) {
            console.log("------【Base】 wx.getScreenBrightness -------");
            if (!obj)
                return;
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            if (successFun)
                successFun({ "value": 0 });
            if (completeFun)
                completeFun();
        };
        wx.triggerGC = function (obj) {
            console.log("------【Base】 wx.triggerGC -------");
        };
        wx.cloud = {
            init: function (obj) {
            },
            downloadFile: function (obj) {
                console.log("------【Base】 wx.cloud.downloadFile -------");
                let successFun = obj ? obj["success"] : null;
                let failFun = obj ? obj["fail"] : null;
                let completeFun = obj ? obj["complete"] : null;
                if (failFun)
                    failFun({});
                if (completeFun)
                    completeFun();
            },
            uploadFile: function (obj) {
                console.log("------【Base】 wx.cloud.uploadFile -------");
                let successFun = obj ? obj["success"] : null;
                let failFun = obj ? obj["fail"] : null;
                let completeFun = obj ? obj["complete"] : null;
                if (failFun)
                    failFun();
                if (completeFun)
                    completeFun();
            }
        };
        wx.request = function (obj) {
            console.log("------【Base】 request-------");
            console.log(JSON.stringify(obj));
            if (!obj)
                return;
            let url = obj["url"];
            if (!url)
                return;
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            let method = obj["method"] || "get";
            method = method.toLocaleLowerCase();
            let dataType = obj["dataType"] || "json";
            dataType = dataType.toLowerCase();
            let responseType = obj["responseType"] || "text";
            responseType = responseType.toLowerCase();
            let data = obj["data"];
            let dataV = "";
            if (data) {
                for (let key in data) {
                    if (dataV != "")
                        dataV += "&";
                    dataV += key + "=" + encodeURIComponent(data[key]);
                }
                console.log(dataV);
                if (method != "post") {
                    if (url.indexOf("?") >= 0) {
                        url += "&" + dataV;
                    }
                    else {
                        url += "?" + dataV;
                    }
                }
            }
            let request = new XMLHttpRequest();
            request.open(method.toLocaleUpperCase(), url, true);
            request.responseType = responseType;
            request.onload = function () {
                console.log("【Base】request success");
                let res = request.response;
                try {
                    if (dataType == "json") {
                        res = JSON.parse("" + res);
                        res = { "data": res };
                    }
                    else {
                    }
                }
                catch (error) {
                }
                if (successFun)
                    successFun(res);
                if (completeFun)
                    completeFun();
            };
            request.onerror = function () {
                console.log("【Base】request error");
                if (failFun)
                    failFun();
                if (completeFun)
                    completeFun();
            };
            let header = obj["header"];
            if (header) {
                for (let key in header) {
                    request.setRequestHeader(key, header[key]);
                }
            }
            if (method == "post") {
                request.send(dataV);
            }
            else {
                request.send(null);
            }
        };
    };
});
define("platforms/IOS", ["require", "exports", "platforms/Base"], function (require, exports, Base_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.IOS_init = function () {
        Base_1.Base_init();
        let u = "" + navigator.userAgent;
        let isAndroid = u.indexOf('Android') > -1 || u.indexOf('Adr') > -1;
        if (isAndroid) {
            (function (callback) {
                if (window["WebViewJavascriptBridge"]) {
                    callback(window["WebViewJavascriptBridge"]);
                }
                else {
                    document.addEventListener("WebViewJavascriptBridgeReady", function () {
                        callback(window["WebViewJavascriptBridge"]);
                    }, false);
                }
            })(function (bridge) {
                bridge.init(function (message, responseCallback) {
                    if (responseCallback) {
                        responseCallback({});
                    }
                });
            });
        }
        else {
            (function (callback) {
                if (window["WebViewJavascriptBridge"]) {
                    return callback(window["WebViewJavascriptBridge"]);
                }
                if (window["WVJBCallbacks"]) {
                    return window["WVJBCallbacks"].push(callback);
                }
                window["WVJBCallbacks"] = [callback];
                var WVJBIframe = document.createElement('iframe');
                WVJBIframe.style.display = 'none';
                WVJBIframe.src = 'https://__bridge_loaded__';
                document.documentElement.appendChild(WVJBIframe);
                setTimeout(function () { document.documentElement.removeChild(WVJBIframe); }, 0);
            })(function (v) { });
        }
        window["bear"] = window["wx"];
        window["bridgeLog"] = function (logContent) {
            console.log(logContent);
            try {
                window["WebViewJavascriptBridge"].callHandler("bridgeLog", "" + logContent, function (responseData) { });
            }
            catch (e) { }
        };
        var wx = window["wx"];
        wx._getSystemInfoSync = {
            SDKVersion: "2.7.7",
            batteryLevel: 100,
            benchmarkLevel: 1,
            brand: "beartools",
            devicePixelRatio: 3,
            fontSizeSetting: 16,
            language: "zh",
            model: "none",
            pixelRatio: 3,
            platform: "beartools",
            safeArea: { right: 0, bottom: 0, left: 0, top: 0, width: 0, height: 0 },
            screenHeight: 0,
            screenWidth: 0,
            statusBarHeight: 0,
            system: "iOS 10.0.1",
            version: "7.0.4",
            windowHeight: 0,
            windowWidth: 0,
        };
        wx.getSystemInfoSync = function (obj) {
            bridgeLog("------【IOS】 getSystemInfoSync-------");
            return wx._getSystemInfoSync;
        };
        wx.getSystemInfo = function (obj) {
            bridgeLog("------【IOS】 getSystemInfo-------");
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            try {
                window["WebViewJavascriptBridge"].callHandler("getSystemInfo", "", function (responseData) {
                    bridgeLog("来自Java的回传数据： " + responseData);
                    try {
                        let data = JSON.parse(responseData);
                        Object.keys(data).forEach((key) => {
                            wx._getSystemInfoSync[key] = data[key];
                        });
                        if (successFun)
                            successFun(wx._getSystemInfoSync);
                    }
                    catch (error) {
                        if (failFun)
                            failFun();
                    }
                    if (completeFun)
                        completeFun();
                });
            }
            catch (e) {
                bridgeLog(e);
            }
        };
        wx.__userInfoRes = {
            "userInfo": {
                "nickName": "",
                "avatarUrl": "",
                "gender": 0,
                "country": "",
                "province": "",
                "city": "",
            },
            "rawData": "",
            "signature": "",
            "encryptedData": "",
            "iv": "",
        };
        wx.showToast = function (obj) {
            bridgeLog("------【IOS】 showToast-------");
            try {
                var param = { title: obj.title, duration: obj.duration };
                window["WebViewJavascriptBridge"].callHandler("showToast", param, function (responseData) {
                    bridgeLog("来自Java的回传数据： " + responseData);
                });
            }
            catch (e) {
                bridgeLog(e);
            }
        };
        wx.hideToast = function (obj) {
            bridgeLog("------【IOS】 hideToast-------");
            try {
                window["WebViewJavascriptBridge"].callHandler("hideToast", "", function (responseData) {
                    bridgeLog("来自Java的回传数据： " + responseData);
                });
            }
            catch (e) {
                bridgeLog(e);
            }
        };
        wx.showLoading = function (obj) {
            bridgeLog("------【IOS】 showLoading-------");
            try {
                var param = "加载中...";
                if (obj && obj["title"])
                    param = obj["title"];
                window["WebViewJavascriptBridge"].callHandler("showLoading", param, function (responseData) {
                    bridgeLog("来自Java的回传数据： " + responseData);
                });
            }
            catch (e) {
                bridgeLog(e);
            }
        };
        wx.hideLoading = function (obj) {
            bridgeLog("------【IOS】 hideLoading-------");
            try {
                window["WebViewJavascriptBridge"].callHandler("hideLoading", "", function (responseData) {
                    bridgeLog("来自Java的回传数据： " + responseData);
                });
            }
            catch (e) {
                bridgeLog(e);
            }
        };
        wx.showModal = function (obj) {
            console.log("------【IOS】 showModal-------");
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            try {
                window["WebViewJavascriptBridge"].callHandler("showAlert", JSON.stringify(obj), function (responseData) {
                    bridgeLog("来自Java的回传数据： " + responseData);
                    try {
                        let data = JSON.parse(responseData);
                        if (successFun)
                            successFun(data);
                    }
                    catch (error) {
                        if (failFun)
                            failFun();
                    }
                    if (completeFun)
                        completeFun();
                });
            }
            catch (e) {
                bridgeLog(e);
            }
        };
        wx.vibrateShort = function (obj) {
            bridgeLog("------【IOS】 vibrateShort-------");
            try {
                var param = "vibrateShort";
                window["WebViewJavascriptBridge"].callHandler("vibrateShort", param, function (responseData) {
                    bridgeLog("来自Java的回传数据： " + responseData);
                });
            }
            catch (e) {
                bridgeLog(e);
            }
        };
        wx.vibrateLong = function (obj) {
            bridgeLog("------【IOS】 vibrateLong-------");
            try {
                var param = "vibrateLong";
                window["WebViewJavascriptBridge"].callHandler("vibrateLong", param, function (responseData) {
                    bridgeLog("来自Java的回传数据： " + responseData);
                });
            }
            catch (e) {
                bridgeLog(e);
            }
        };
        wx.shareAppMessage = function (obj) {
            bridgeLog("------【IOS】 shareAppMessage-------");
            try {
                var param = "调用系统分享";
                window["WebViewJavascriptBridge"].callHandler("shareAppMessage", param, (responseData) => {
                    bridgeLog("来自Java的回传数据： " + responseData);
                    try {
                        var data = JSON.parse(responseData);
                        if (data.code == 0) {
                        }
                        else {
                        }
                    }
                    catch (error) {
                    }
                });
            }
            catch (e) {
                bridgeLog(e);
            }
        };
        wx.setScreenBrightness = function (obj) {
            bridgeLog("------【IOS】 setScreenBrightness -------");
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            try {
                window["WebViewJavascriptBridge"].callHandler("setScreenBrightness", JSON.stringify(obj), function (responseData) {
                    bridgeLog("来自Java的回传数据： " + responseData);
                    if (successFun)
                        successFun();
                    if (completeFun)
                        completeFun();
                });
            }
            catch (e) {
                bridgeLog(e);
                if (failFun)
                    failFun();
                if (completeFun)
                    completeFun();
            }
        };
        wx.setKeepScreenOn = function (obj) {
            bridgeLog("------【IOS】 wx.setKeepScreenOn -------");
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            try {
                window["WebViewJavascriptBridge"].callHandler("setKeepScreenOn", "", function (responseData) {
                    bridgeLog("来自Java的回传数据： " + responseData);
                    if (successFun)
                        successFun();
                    if (completeFun)
                        completeFun();
                });
            }
            catch (e) {
                bridgeLog(e);
                if (failFun)
                    failFun();
                if (completeFun)
                    completeFun();
            }
        };
        wx.getScreenBrightness = function (obj) {
            bridgeLog("------【IOS】 wx.getScreenBrightness -------");
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            try {
                var param = "获取屏幕亮度";
                window["WebViewJavascriptBridge"].callHandler("getScreenBrightness", param, function (responseData) {
                    bridgeLog("来自Java的回传数据： " + responseData);
                    try {
                        var data = JSON.parse(responseData);
                        let value = data["value"];
                        if (successFun)
                            successFun({ "value": value });
                        if (completeFun)
                            completeFun();
                    }
                    catch (error) {
                        if (failFun)
                            failFun({});
                        if (completeFun)
                            completeFun();
                    }
                });
            }
            catch (e) {
                bridgeLog(e);
                if (failFun)
                    failFun({});
                if (completeFun)
                    completeFun();
            }
        };
        wx._getMenuButtonBoundingClientRect = { "top": 0, "left": 0, "width": 0, "height": 0, "bottom": 0, "right": 0 };
        wx.getMenuButtonBoundingClientRect = function () {
            bridgeLog("------【IOS】 getMenuButtonBoundingClientRect -------");
            if (wx._getMenuButtonBoundingClientRect.width == 0) {
                try {
                    window["WebViewJavascriptBridge"].callHandler("getMenuButtonBoundingClientRect", "", (responseData) => {
                        bridgeLog("来自Java的回传数据： getMenuButtonBoundingClientRect" + responseData);
                        try {
                            var data = JSON.parse(responseData);
                            wx._getMenuButtonBoundingClientRect.top = data.top;
                            wx._getMenuButtonBoundingClientRect.left = data.left;
                            wx._getMenuButtonBoundingClientRect.width = data.width;
                            wx._getMenuButtonBoundingClientRect.height = data.height;
                        }
                        catch (error) {
                        }
                    });
                }
                catch (e) {
                }
            }
            return {
                "top": wx._getMenuButtonBoundingClientRect.top,
                "left": wx._getMenuButtonBoundingClientRect.left,
                "width": wx._getMenuButtonBoundingClientRect.width,
                "height": wx._getMenuButtonBoundingClientRect.height
            };
        };
        wx.setClipboardData = function (obj) {
            bridgeLog("------【IOS】 setClipboardData -------");
            if (!obj)
                return;
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            window["WebViewJavascriptBridge"].callHandler('setClipboardData', JSON.stringify(obj), function (responseData) {
                bridgeLog('来自Java的回传数据： ' + responseData);
                try {
                    let data = JSON.parse(responseData);
                    if (successFun)
                        successFun(data);
                }
                catch (error) {
                    if (failFun)
                        failFun();
                }
                if (completeFun)
                    completeFun();
            });
        };
        wx.getClipboardData = function (obj) {
            bridgeLog("------【IOS】 wx.getClipboardData -------");
            if (!obj)
                return;
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            window["WebViewJavascriptBridge"].callHandler('getClipboardData', "", function (responseData) {
                bridgeLog('来自Java的回传数据： ' + responseData);
                try {
                    let data = JSON.parse(responseData);
                    if (successFun)
                        successFun(data);
                }
                catch (error) {
                    if (failFun)
                        failFun();
                }
                if (completeFun)
                    completeFun();
            });
        };
        wx.createRewardedVideoAd = function (obj) {
            bridgeLog("------【IOS】 createRewardedVideoAd-------");
            bridgeLog("激励视频广告创建时，不调用真实创建方法，load时才做真实创建");
            let theAd = new RewardedVideoAd();
            return theAd;
        };
        wx.createInterstitialAd = function (obj) {
            bridgeLog("------【IOS】 createInterstitialAd-------");
            return new InterstitialAd();
        };
        wx.createBannerAd = function (obj) {
            var param = JSON.stringify(obj);
            bridgeLog("------【IOS】 createBannerAd-------" + param);
            let theAd = new BannerAd();
            try {
                window["WebViewJavascriptBridge"].callHandler("createBannerAd", param, function (responseData) {
                    bridgeLog("回传数据： " + responseData);
                    theAd.doResponseData(responseData);
                    if (!theAd.adId) {
                        try {
                            theAd.adId = JSON.parse(responseData).data;
                            theAd.show();
                        }
                        catch (error) {
                        }
                    }
                });
            }
            catch (error) {
            }
            return theAd;
        };
        wx.navigateToMiniProgram = function (obj) {
            bridgeLog("------【IOS】 navigateToMiniProgram-------");
            if (!obj)
                return;
            let successFun = obj ? obj["success"] : null;
            let failFun = obj ? obj["fail"] : null;
            let completeFun = obj ? obj["complete"] : null;
            try {
                window["WebViewJavascriptBridge"].callHandler('navigateToMiniProgram', JSON.stringify(obj), function (responseData) {
                    bridgeLog('来自Java的回传数据： ' + responseData);
                });
            }
            catch (error) {
            }
            if (successFun)
                successFun({});
            if (completeFun)
                completeFun();
        };
        wx.__init__ = function () {
            wx.getSystemInfo({});
            wx.getMenuButtonBoundingClientRect();
            try {
                window["WebViewJavascriptBridge"].registerHandler("onHide", function (data, responseCallback) {
                    bridgeLog("------【IOS】 onHide called-------" + data);
                    wx.doHide();
                });
            }
            catch (error) {
            }
            try {
                window["WebViewJavascriptBridge"].registerHandler("onShow", function (data, responseCallback) {
                    bridgeLog("------【IOS】 onShow called-------" + data);
                    wx.doShow();
                });
            }
            catch (error) {
            }
            try {
                window["WebViewJavascriptBridge"].registerHandler("onClose", function (data, responseCallback) {
                    bridgeLog("------【IOS】 onClose called-------" + data);
                    wx.doClose();
                });
            }
            catch (error) {
            }
        };
        setTimeout(() => {
            wx.__init__();
        }, 500);
        setTimeout(() => {
            wx.__init__();
        }, 1500);
        wx.aldSendEvent = function (obj) {
        };
        wx.aldOnShareAppMessage = function (obj) {
        };
        wx.aldStage = {
            "onStart": function () { },
            "onEnd": function () { },
            "onRunning": function () { },
        };
    };
    class BannerAd {
        constructor() {
            this.style = {
                top: 0,
                left: 0,
                width: 0,
                height: 0,
                realHeight: 0,
                realWidth: 0
            };
            this._isShowing = false;
            this._loadCallbacks = [];
            this._resizeCallbacks = [];
            this._errorCallbacks = [];
        }
        show() {
            bridgeLog("~~~~~bannershow" + this._isShowing);
            let promise = new Promise((resolve, reject) => {
                var theAd = this;
                var param = { adId: theAd.adId };
                theAd._isShowing = true;
                try {
                    window["WebViewJavascriptBridge"].callHandler("bannerShow", param, function (responseData) {
                        bridgeLog("来自Java的回传数据： " + responseData);
                        if (!theAd._isShowing) {
                            theAd.hide();
                        }
                        resolve();
                        theAd.doResponseData(responseData);
                    });
                }
                catch (e) {
                    theAd._isShowing = false;
                    bridgeLog(e);
                    reject(e);
                }
            });
            promise.catch(() => { bridgeLog("bannershow 默认catch"); });
            return promise;
        }
        hide() {
            bridgeLog("~~~~~bannerHide");
            let promise = new Promise((resolve, reject) => {
                var theAd = this;
                var param = { adId: theAd.adId };
                theAd._isShowing = false;
                try {
                    window["WebViewJavascriptBridge"].callHandler("bannerHide", param, function (responseData) {
                        resolve();
                        bridgeLog("来自Java的回传数据： " + responseData);
                    });
                }
                catch (e) {
                    bridgeLog(e);
                    reject(e);
                }
            });
            promise.catch(() => { bridgeLog("bannerHide 默认catch"); });
            return promise;
        }
        destroy() {
            bridgeLog("~~~~~bannerDestroy");
            var param = { adId: this.adId };
            try {
                window["WebViewJavascriptBridge"].callHandler("bannerDestroy", param, function (responseData) {
                    bridgeLog("来自Java的回传数据： " + responseData);
                });
            }
            catch (e) {
                bridgeLog(e);
            }
            this.adId = null;
            this._loadCallbacks = [];
            this._resizeCallbacks = [];
            this._errorCallbacks = [];
        }
        onLoad(fun) {
            if (this._loadCallbacks.indexOf(fun) == -1) {
                this._loadCallbacks.push(fun);
            }
        }
        offLoad(fun) {
            let index = this._loadCallbacks.indexOf(fun);
            if (index >= 0) {
                this._loadCallbacks.splice(index, 1);
            }
        }
        doLoaded() {
            this._loadCallbacks.forEach((fun) => {
                fun();
            });
        }
        doResponseData(responseData) {
            try {
                bridgeLog("收到数据", responseData);
                let data = JSON.parse(responseData);
                this.adId = data["adId"];
                bridgeLog("解析数据成功+" + data["adId"]);
                let size = data.size;
                bridgeLog("解析数据成功111");
                this.style.top = size.top;
                this.style.left = size.left;
                this.style.width = size.width;
                this.style.height = size.height;
                this.style.realWidth = size.width;
                this.style.realHeight = size.height;
                setTimeout(() => {
                    this.doResize();
                }, 500);
            }
            catch (error) {
            }
        }
        onResize(fun) {
            if (this._resizeCallbacks.indexOf(fun) == -1) {
                this._resizeCallbacks.push(fun);
            }
        }
        offResize(fun) {
            let index = this._resizeCallbacks.indexOf(fun);
            if (index >= 0) {
                this._resizeCallbacks.splice(index, 1);
            }
        }
        doResize() {
            bridgeLog("banner.doResize:" + this._resizeCallbacks.length);
            this._resizeCallbacks.forEach((fun) => {
                fun();
            });
        }
        onError(fun) {
            if (this._errorCallbacks.indexOf(fun) == -1) {
                this._errorCallbacks.push(fun);
            }
        }
        offError(fun) {
            let index = this._errorCallbacks.indexOf(fun);
            if (index >= 0) {
                this._errorCallbacks.splice(index, 1);
            }
        }
        doError(err) {
            this._errorCallbacks.forEach((fun) => {
                fun(err);
            });
        }
    }
    class RewardedVideoAd {
        constructor() {
            this._loadCallbacks = [];
            this._closeCallbacks = [];
            this._errorCallbacks = [];
            this._isLoading = false;
            this.load();
        }
        load() {
            bridgeLog("~~~~~rewardedVideoAdLoad, this._isLoading=", this._isLoading);
            if (this._isLoading)
                return;
            let promise = new Promise((resolve, reject) => {
                let theAd = this;
                theAd._isLoading = true;
                try {
                    window["WebViewJavascriptBridge"].callHandler("createRewardedVideoAd", JSON.stringify({}), function (responseData) {
                        theAd._isLoading = false;
                        bridgeLog("来自Java的回传数据： createRewardedVideoAd" + responseData);
                        try {
                            var data = JSON.parse(responseData);
                            if (data.code == 0) {
                                theAd.doLoaded();
                                resolve();
                            }
                            else {
                                reject();
                                theAd.doError(data);
                            }
                        }
                        catch (error) {
                            reject(error);
                        }
                    });
                }
                catch (error) {
                    theAd._isLoading = false;
                    bridgeLog("~~~~~rewardedVideoAdLoad reject");
                    reject(error);
                }
            });
            promise.catch(() => { bridgeLog("rewardedVideoAdLoad 默认catch"); });
            return promise;
        }
        show() {
            bridgeLog("~~~~~rewardedVideoAdShow");
            let promise = new Promise((resolve, reject) => {
                let theAd = this;
                try {
                    window["WebViewJavascriptBridge"].callHandler("rewardedVideoAdShow", JSON.stringify({}), (responseData) => {
                        bridgeLog("来自Java的回传数据： rewardedVideoAdShow" + responseData);
                        try {
                            var data = JSON.parse(responseData);
                            if (data.code == 0) {
                                if (data.isEnded) {
                                    theAd.doClose({ isEnded: true });
                                }
                                else {
                                    theAd.doClose({ isEnded: false });
                                }
                            }
                            else {
                                theAd.doError(data);
                            }
                        }
                        catch (error) {
                        }
                    });
                    resolve();
                }
                catch (e) {
                    bridgeLog(e);
                    reject(e);
                }
            });
            promise.catch(() => { bridgeLog("rewardedVideoAdShow 默认catch"); });
            return promise;
        }
        onLoad(fun) {
            if (this._loadCallbacks.indexOf(fun) == -1) {
                this._loadCallbacks.push(fun);
            }
        }
        offLoad(fun) {
            let index = this._loadCallbacks.indexOf(fun);
            if (index >= 0) {
                this._loadCallbacks.splice(index, 1);
            }
        }
        doLoaded() {
            this._loadCallbacks.forEach((fun) => {
                fun({});
            });
        }
        onClose(fun) {
            if (this._closeCallbacks.indexOf(fun) == -1) {
                this._closeCallbacks.push(fun);
            }
        }
        offClose(fun) {
            let index = this._closeCallbacks.indexOf(fun);
            if (index >= 0) {
                this._closeCallbacks.splice(index, 1);
            }
        }
        doClose(v) {
            this._closeCallbacks.forEach((fun) => {
                fun(v);
            });
        }
        onError(fun) {
            if (this._errorCallbacks.indexOf(fun) == -1) {
                this._errorCallbacks.push(fun);
            }
        }
        offError(fun) {
            let index = this._errorCallbacks.indexOf(fun);
            if (index >= 0) {
                this._errorCallbacks.splice(index, 1);
            }
        }
        doError(err) {
            this._errorCallbacks.forEach((fun) => {
                fun(err);
            });
        }
    }
    class InterstitialAd {
        constructor() {
        }
        show() {
            bridgeLog("~~~~~InterstitialAd show" + this.adId);
            return new Promise((resolve, reject) => {
                reject("show intersitial ad fail");
            });
        }
        load() {
            bridgeLog("~~~~~InterstitialAd Load");
            return new Promise((resolve, reject) => {
                reject("load intersitial ad fail");
            });
        }
        destroy() {
            bridgeLog("~~~~~InterstitialAd destory");
            return new Promise((resolve, reject) => {
                reject("destory intersitial ad fail");
            });
        }
        onLoad(fun) {
        }
        offLoad(fun) {
        }
        doLoaded() {
        }
        onClose(fun) {
        }
        offClose(fun) {
        }
        doClosed() {
        }
        onError(fun) {
        }
        offError(fun) {
        }
        doError(err) {
        }
    }
});
